(list
 (
  cons 'observerSwarm
       (
	make-instance 'ObserverSwarm
                      #:displayFrequency 1
                      #:stopAtDayNumber 90
                      #:displayPreviousDayMean 1  
                      #:savePriceData 1
                      #:showBookLogGraph 1
                      #:saveBookLogData 1
                      #:showAgentWealthGraph 0
                      #:saveAgentWealthData 0
                      #:showBidAskSpreadGraph 1
                      #:saveBidAskSpreadData 1
                      #:showBuySellQuantitySpreadGraph 1
                      #:saveBuySellQuantitySpreadData 1
                      #:showBuySellFirstLastSpreadGraph 1
                      #:saveBuySellFirstLastSpreadData 1
                      #:showBuySellSharesNumberBeforeOpening 0
                      )
       )
 (
  cons 'modelSwarm
       (
	make-instance 'ModelSwarm
                      #:randomAgentNumber 300
                      #:marketImitatingAgentNumber 0
                      #:locallyImitatingAgentNumber 0
                      #:stopLossAgentNumber 0
                      #:istantNumber 300
                      #:asymmetricBuySellProb 0.9
                      #:minCorrectingCoeff 0.95
                      #:maxCorrectingCoeff 1.05
                      #:asymmetricRange 0.0
                      #:agentProbToActBeforeOpening 0.05
                      #:floorP 0.3
                      #:agentProbToActBelowFloorP 0.5
                      #:maxOrderQuantity 3
                      #:maxLossRate 0.1
                      #:stopLossInterval 2
                      #:checkingIfShortOrLong 1
                      #:percentageOfOperatingAgents 30
                      #:maxNumberOfOperatingAgents 1
                      #:typeOfPercentage #f
                      #:printing 0   
                      )
       )
 )
